// ProgressWndTestView.cpp : implementation of the CProgressWndTestView class
//

#include "stdafx.h"
#include "ProgressWndTest.h"

#include "ProgressWndTestDoc.h"
#include "ProgressWnd.h"
#include "ProgressWndTestView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProgressWndTestView

IMPLEMENT_DYNCREATE(CProgressWndTestView, CFormView)

BEGIN_MESSAGE_MAP(CProgressWndTestView, CFormView)
	//{{AFX_MSG_MAP(CProgressWndTestView)
	ON_BN_CLICKED(ID_BTN_SHOWPROGRESS, OnBtnShowprogress)
	ON_MESSAGE(9999, OnCancelProgress)
	ON_BN_CLICKED(ID_BTN_HIDEPROGRESS, OnBtnHideprogress)
	ON_WM_MOUSEMOVE()
	ON_WM_LBUTTONDBLCLK()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CProgressWndTestView construction/destruction

CProgressWndTestView::CProgressWndTestView()
	: CFormView(CProgressWndTestView::IDD)
{
	//{{AFX_DATA_INIT(CProgressWndTestView)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// TODO: add construction code here

}

CProgressWndTestView::~CProgressWndTestView()
{
}

void CProgressWndTestView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProgressWndTestView)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BOOL CProgressWndTestView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CFormView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CProgressWndTestView diagnostics

#ifdef _DEBUG
void CProgressWndTestView::AssertValid() const
{
	CFormView::AssertValid();
}

void CProgressWndTestView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}

CProgressWndTestDoc* CProgressWndTestView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CProgressWndTestDoc)));
	return (CProgressWndTestDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CProgressWndTestView message handlers

void CProgressWndTestView::OnBtnShowprogress() 
{
	m_wndProgress.SetTitle(_T("Test Window") );
	m_wndProgress.SetMessage(_T("This is a test progress window to see how it turns out.") );
	m_wndProgress.SetFullScale(1000);
	m_wndProgress.SetCanCancelFlag(TRUE);
	m_wndProgress.SetCancelMessage(9999);
	m_wndProgress.SetAnimationFile("buzz.avi");
	m_wndProgress.Show(this);
}

void CProgressWndTestView::OnBtnHideprogress() 
{
	m_wndProgress.Hide();
}

void CProgressWndTestView::OnMouseMove(UINT nFlags, CPoint point) 
{
	m_wndProgress.UpdateProgress();
	
	CFormView::OnMouseMove(nFlags, point);
}

void CProgressWndTestView::OnLButtonDblClk(UINT nFlags, CPoint point) 
{
	m_wndProgress.ResetProgress();
	m_wndProgress.SetMessage(_T("A different message\r\n"
								"that requires\r\n"
								"many lines,\r\n"
								"such that\r\n"
								"it goes\r\n"
								"below the\r\n"
								"animation.") );
	m_wndProgress.SetCancelText(_T("Annuler") );	// French, you know.
	m_wndProgress.SetFillColour(0x00FF00FF);
	
	CFormView::OnLButtonDblClk(nFlags, point);
}

LRESULT CProgressWndTestView::OnCancelProgress(WPARAM wParam, LPARAM lParam)
{
	OnBtnHideprogress();

	return 0 ;
}
